const logger = require("../utils/logger");

const CreateFortellisLogEvent = (socket, level, message, txnDetails) => {
  logger.log("fortellis-log-event", level, socket?.user?.email, null, { wsmessage: message, txnDetails });
  socket.emit("fortellis-log-event", { level, message, txnDetails });
};

module.exports = CreateFortellisLogEvent;
